Package org.apache.datasketches.thetacommon

# Enum Class SetOperationCornerCases.UnionAction

java.lang.Object
java.lang.Enum<SetOperationCornerCases.UnionAction>
org.apache.datasketches.thetacommon.SetOperationCornerCases.UnionAction

All Implemented Interfaces:
  `Serializable`, `Comparable<SetOperationCornerCases.UnionAction>`, `Constable`

Enclosing class:
  `SetOperationCornerCases`

public static enum SetOperationCornerCases.UnionAction extends Enum<SetOperationCornerCases.UnionAction>
List of union actions

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEGEN_MIN_0_F`
Degenerate{MinTheta, 0, F}
`DEGEN_THA_0_F`
Degenerate{ThetaA, 0, F}
`DEGEN_THB_0_F`
Degenerate{ThetaB, 0, F}
`EMPTY_1_0_T`
Empty{1.0, 0, T}
`FULL_UNION`
Full Union
`SKETCH_A`
Sketch A Exactly
`SKETCH_B`
Sketch B Exactly
`TRIM_A`
Trim Sketch A by MinTheta
`TRIM_B`
Trim Sketch B by MinTheta

## Method Summary

Modifier and Type
Method
Description
`String`
`getActionDescription()`
Gets the action description
`String`
`getActionId()`
Gets the action ID
`static SetOperationCornerCases.UnionAction`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SetOperationCornerCases.UnionAction[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SKETCH_A

public static final SetOperationCornerCases.UnionAction SKETCH_A
Sketch A Exactly

### TRIM_A

public static final SetOperationCornerCases.UnionAction TRIM_A
Trim Sketch A by MinTheta

### SKETCH_B

public static final SetOperationCornerCases.UnionAction SKETCH_B
Sketch B Exactly

### TRIM_B

public static final SetOperationCornerCases.UnionAction TRIM_B
Trim Sketch B by MinTheta

### DEGEN_MIN_0_F

public static final SetOperationCornerCases.UnionAction DEGEN_MIN_0_F
Degenerate{MinTheta, 0, F}

### DEGEN_THA_0_F

public static final SetOperationCornerCases.UnionAction DEGEN_THA_0_F
Degenerate{ThetaA, 0, F}

### DEGEN_THB_0_F

public static final SetOperationCornerCases.UnionAction DEGEN_THB_0_F
Degenerate{ThetaB, 0, F}

### EMPTY_1_0_T

public static final SetOperationCornerCases.UnionAction EMPTY_1_0_T
Empty{1.0, 0, T}

### FULL_UNION

public static final SetOperationCornerCases.UnionAction FULL_UNION
Full Union

## Method Details

### values

public static SetOperationCornerCases.UnionAction[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SetOperationCornerCases.UnionAction valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getActionId

public String getActionId()
Gets the action ID

Returns:
  the actionId

### getActionDescription

public String getActionDescription()
Gets the action description

Returns:
  the actionDescription